/**
 * Ladder, empowering Model Driven Architecture in J2EE applications
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * Ladder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */

package ws.ladder.model.view;

import java.util.List;

public class NativeQuery {

	protected List<String>      attributeList;
	protected String            queryString;
	protected String            identifierClause;
	protected boolean           usable;
	
	public String getIdentifierClause() {
		return identifierClause;
	}

	public void setIdentifierClause(String identifier) {
		this.identifierClause = identifier;
	}	
	
	public boolean isUsable() {
		return usable;
	}
	
	public void setUsable(boolean usable) {
		this.usable = usable;
	}
	
	public List<String> getAttributeList() {
		return attributeList;
	}
	public void setAttributeList(List<String> attributeList) {
		this.attributeList = attributeList;
	}
	public String getQueryString() {
		return queryString;
	}
	public void setQueryString(String queryString) {
		this.queryString = queryString;
	} 

	/**
	 * The starting position is 1
	 * @param attribute
	 * @return
	 */
	public int getPosition(String value) {
		int result = -1;
		
		for(int i = 0; i < attributeList.size(); i++) {
			if(attributeList.get(i).equals(value)) {
				result = i;
				break;
			}
		}
		
		return result;
	}
}