/**
 * Ladder, empowering Model Driven Architecture in J2EE applications
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * Ladder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */

package ws.ladder.service;

import org.springframework.stereotype.Component;

import ws.ladder.util.ClassUtil;

import com.mongodb.DB;
import com.mongodb.Mongo;

@Component
public class MongoDBFactory {

	private String hostname;
	private int port;
	private String dbName;
	private String username;
	private String password;

	public DB getMongoDB() {
		Mongo mongo = null;

		try {
			if (mongo == null)
				mongo = new Mongo(hostname, port);
		} catch (Exception e) {
			throw ClassUtil.wrapRun(e);
		}
		
		DB db = mongo.getDB(dbName);
		db.authenticate(username, password.toCharArray());

		return db;
	}
}