/**
 * Ladder, empowering Model Driven Architecture in J2EE applications
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * Ladder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */

package ws.ladder.service;




public interface QueryCapability {
	   
    /**
     * Returns the mechanism for returning the actual type of a subclassable type
     * @return
     */
    public String getTypeMechanism(String queryAlias);

    /**
     * Returns the mechanism used to obtain the key of a map attribute
     * @return
     */
    public String getMapKeyMechanism(String queryAlias);
    
    /**
     * Returns the mechanism used to obtain the value of a map 
     * @return
     */
    public String getMapValueMechanism(String queryAlias);
    
    /**
     * Returns the mechanism used to obtain the index value of a list
     * @param queryAlias
     * @return
     */
	public String getListIndexMechanism(String queryAlias);    
}